Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.spi
Interface ImagePreloader

All Known Implementing Classes:
  AbstractImagePreloader, PreloaderBMP, PreloaderEMF, PreloaderEPS, PreloaderGIF, PreloaderImageIO, PreloaderJPEG, PreloaderRawPNG, PreloaderTIFF

    public interface ImagePreloader

This interface provides two functions: determining whether an image format is supported and if that's the case, some minimal information (mostly the image's intrinsic size) is extracted and returned.

Field Summary
`static int` | `DEFAULT_PRIORITY` Default priority for preloaders

Method Summary
`int` | `getPriority()` Returns the priority of the preloader.
`ImageInfo` | `preloadImage(java.lang.String originalURI, javax.xml.transform.Source src, ImageContext context)` "Preloads" an image, i.e.

Field Detail

### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY

  Default priority for preloaders

  See Also:
    Constant Field Values

Method Detail

### preloadImage

    ImageInfo preloadImage(java.lang.String originalURI,
                           javax.xml.transform.Source src,
                           ImageContext context)
                           throws ImageException,
                                  java.io.IOException

  "Preloads" an image, i.e. indentifies whether the source image is supported by this implementation and determines the image's intrinsic size and possibly some additional information. The image is usually not fully loaded at this time to conserve memory. The method returns null if the image was not identified. An `ImageException` is only thrown if the image is identified but some error has happened while working on the file.

  Parameters:
    `originalURI` - the original (unresolved) URI of the image
    `src` - a image source the image is loaded from
    `context` - the context object that provides configuration information
  Returns:
    an image info object with the basic information about an image or null if the image is not supported by this implementation
  Throws:
    `ImageException` - if an error occurs while preloading the image
    `java.io.IOException` - if an I/O error occurs while preloading the image

### getPriority

    int getPriority()

  Returns the priority of the preloader. The lower the value, the higher the preloader's priority.

  Returns:
    an integer (default is 1000)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.